Subject: [Gen-art] Gen-ART LC review of draft-ietf-isis-wg-extlsp-03.txt

From: Brian E Carpenter <[email-masked]>
Date: Tue, 28 Oct 2008 13:38:47 +1300

_______________________________________________
Gen-art mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/gen-art

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Mon, 27 Oct 2008 21:03:39 -0700

Brian -

Thanx for the review - I will work with Danny to get the editorial
issues corrected. Some replies to your non-editorial questions/issues:

Do you want the IESG to also reclassify RFC3786 as Historic?
If so, I suggest saying this explicitly in the Introduction.

LES: I would think obsolete is more appropriate.

The draft uses the phrase "Virtual IS" without defining it. I see
that RFC3786 defines and uses "Virtual System". 

LES: Agreed - we need a definition.

Is it "IS-Alias" or "IS Alias ID"? I don't see a reason for having
two names for the same TLV.

LES: Agreed - we'll make this consistent.

What happens when a legacy implementation receives an IS Alias ID,
IS Neighbor Attribute, or MT IS Neighbor Attribute TLV?
Is silent discard specified in the IS-IS standard?

LES: Yes. See ISO 10589 Section 9.5:

"Any codes in a received PDU that are not recognised shall be ignored."

Similar text is found in the sections for each PDU type. For example in
Section 9.8:

"Any codes in a received LSP that are not recognised are ignored and
passed through unchanged."

   Les

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]]
> Sent: Monday, October 27, 2008 5:39 PM
> To: General Area Review Team
> Cc: Ross Callon; [email-masked]; isis-
> [email-masked]
> Subject: Gen-ART LC review of draft-ietf-isis-wg-extlsp-03.txt
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
>

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 29 Oct 2008 09:15:44 +1300

> LES: I would think obsolete is more appropriate.

Actually you could do both, I think, but I agree that 'obsoletes'
is a good idea. (In case anybody's wondering, there are already
a few examples of a standards track document obsoleting an
Informational, e.g. RFC4648.)

Thanks

    Brian